import { Request } from 'express';
import { User } from '../../../src/types/auth.js';

export interface AuthRequest extends Request {
  user?: User;
}

export interface JwtPayload {
  id: string;
  iat?: number;
  exp?: number;
}