export interface UserPermissions {
  categories: {
    [key: string]: { edit: boolean; create: boolean; delete: boolean };
  };
  cities: number[];
  isAdmin: boolean;
}

export interface User {
  id: string;
  email: string;
  displayName: string;
  avatarUrl: string;
  permissions: UserPermissions;
}

export interface UserFormData {
  email: string;
  password: string;
  displayName: string;
  avatarUrl: string;
}
